## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://dev.writer.com/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```bash
curl --location --request DELETE https://api.writer.com/v1/files/{file_id} \
 --header "Authorization: Bearer <token>"
```

### Python Code Example

```python
import os
from writerai import Writer

client = Writer(
    # This is the default and can be omitted
    api_key=os.environ.get("WRITER_API_KEY"),
)
file = client.files.delete(
    "file_id",
)
print(file.id)
```

### JavaScript Code Example

```javascript
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const file = await client.files.delete('file_id');

console.log(file.id);
}

main();
```

### Response Example

```json
{
  "id": "7c36a365-392f-43ba-840d-8f3103b42572",
  "deleted": true
}
```

### Authorizations

#### Authorization

- **Type**: string
- **Location**: header
- **Required**: Yes

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

### Path Parameters

#### file_id

- **Type**: string
- **Required**: Yes

The unique identifier of the file.

### Response

- **200 - application/json**
  - **id**: string (required) - A unique identifier of the deleted file.
  - **deleted**: boolean (required) - Indicates whether the file was successfully deleted.
